Ruby master - Bug #13899

Ruby 2.4.2 and 2.3.5 cannot link with libgmp nor jemalloc
09/14/2017 10:34 PM - usa (Usaku NAKAMURA)

Status: Closed
Priority: Normal
Assignee:

Target version:
ruby -v: 242,235 Backport:

Description

The released package of Ruby 2.4.2 and 2.3.5 cannot link with libgmp nor jemalloc.

Then, | provide the fixes.

for Ruby 2.4.2:
a. Override configure file in your package by configure-2.4.2, and run configure.
b. Or, apply the patch configure-2.4.2.diff, and run configure.

for Ruby 2.3.5:
a. Override configure file in your package by configure-2.3.5, and run configure.
b. Or, apply the patch configure-2.3.5.diff, and run configure.

Related issues:
Related to Ruby master - Bug #13402: [PATCH] fix --with-gmp (broken by r57490)

Closed

History

#1 - 09/14/2017 10:34 PM - usa (Usaku NAKAMURA)
- Related to Bug #13402: [PATCH] fix --with-gmp (broken by r57490) added

#2 - 10/06/2017 06:56 AM - stefsava (Stefano Savanelli)
- ruby -v changed from 2.4.2, 2.3.2t0 2.4.2, 2.3.5

Files

configure-2.3.5.diff 1.46 KB 09/14/2017
configure-2.3.5 657 KB 09/14/2017
configure-2.4.2.diff 1.46 KB 09/14/2017
configure-2.4.2 719 KB 09/14/2017
